Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_thread_lock_union Union Reference

`#include <thread_win32.h>`

## Data Fields
HANDLE | mutex
CRITICAL_SECTION | crit

## Detailed Description

Definition at line 26 of file thread_win32.h.

## Field Documentation

CRITICAL_SECTION rb_thread_lock_union::crit

Definition at line 28 of file thread_win32.h.

HANDLE rb_thread_lock_union::mutex

Definition at line 27 of file thread_win32.h.

The documentation for this union was generated from the following file:

- thread_win32.h